<?xml version="1.0" encoding="utf-16"?>
<Setup xmlns="http://schemas.microsoft.com/Setup/2008/01/im" xmlns:ironman="http://schemas.microsoft.com/Setup/2008/01/im" SetupVersion="1.0">
  <UI Dll="SetupUi.dll" Name="Microsoft Visual C++ 2010  x86 Redistributable Setup" Version="10.0.40219" />
  <Configuration>
    <DisabledCommandLineSwitches>
      <CommandLineSwitch Name="createlayout" />
    </DisabledCommandLineSwitches>
    <UserExperienceDataCollection Policy="UserControlled" />
    <BlockingMutex Name="VC_Redist_SetupMutex" />
  </Configuration>
  <EnterMaintenanceModeIf>
    <Exists>
      <RegKey Location="HKLM\SOFTWARE\Microsoft\VisualStudio\10.0\VC\VCRedist\x86\KB2565063" />
    </Exists>
  </EnterMaintenanceModeIf>
  <Blockers>
    <StopBlockers>
      <BlockIf DisplayText="#(loc.Blocker_UnSupportedOS)">
        <And>
          <Equals LeftHandSide="Installing" BoolWhenNonExistent="false">
            <Operation />
          </Equals>
          <GreaterThan LeftHandSide="5.1.0" BoolWhenNonExistent="false">
            <TargetOS />
          </GreaterThan>
        </And>
      </BlockIf>
      <BlockIf DisplayText="#(loc.Blocker_NewerVersionPresent)">
        <And>
          <Equals LeftHandSide="Installing" BoolWhenNonExistent="false">
            <Operation />
          </Equals>
          <LessThan LeftHandSide="40219" BoolWhenNonExistent="false">
            <RegKeyValue Location="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\10.0\VC\VCRedist\x86\Bld" />
          </LessThan>
        </And>
      </BlockIf>
    </StopBlockers>
  </Blockers>
  <Items OnSubFailureAction="Rollback" DownloadRetries="3" DelayBetweenRetries="6" CopyPackageFilesToDownloadLocation="true">
    <File Name="vc_red.cab" DownloadSize="4224705" SystemDriveSize="12000000" InstalledProductSize="12000000">
      <IsPresent>
        <Exists Id="vc_red_x86_self">
          <MsiProductVersion ProductCode="{F0C3E5D1-1ADE-321E-8167-68EF0DE699A5}" />
        </Exists>
      </IsPresent>
      <ApplicableIf>
        <AlwaysTrue />
      </ApplicableIf>
      <ActionTable>
        <InstallAction IfPresent="noop" IfAbsent="install" />
        <UninstallAction IfPresent="noop" IfAbsent="noop" />
        <RepairAction IfPresent="repair" IfAbsent="install" />
      </ActionTable>
    </File>
    <AgileMSI Name="vc_red.msi" DownloadSize="163840" ProductCode="{F0C3E5D1-1ADE-321E-8167-68EF0DE699A5}" SystemDriveSize="200000" InstalledProductSize="200000" EstimatedInstallTime="5000" CanonicalTargetName="#(loc.VC_Redist)" MSIOptions="EXTUI=1" MSIRepairOptions="REINSTALLMODE=omus" Rollback="false">
      <IsPresent>
        <ExpressionAlias Id="vc_red_x86_self" />
      </IsPresent>
      <ApplicableIf>
        <AlwaysTrue />
      </ApplicableIf>
      <ActionTable>
        <RepairAction IfPresent="noop" IfAbsent="install" OnFailureBehavior="Stop" />
        <InstallAction IfPresent="noop" IfAbsent="install" />
        <UninstallAction IfPresent="uninstall" IfAbsent="noop" />
      </ActionTable>
      <AgileMSP Name="msp_kb2565063.msp" DownloadSize="4028928" SystemDriveSize="4028928" InstalledProductSize="0" PatchCode="{6F8500D2-A80F-3347-9081-B41E71C8592B}" />
    </AgileMSI>
    <MSI Name="vc_red.msi" DownloadSize="163840" ProductCode="{F0C3E5D1-1ADE-321E-8167-68EF0DE699A5}" SystemDriveSize="200000" InstalledProductSize="200000" EstimatedInstallTime="5000" CanonicalTargetName="#(loc.VC_Redist)" MSIOptions="EXTUI=1" MSIRepairOptions="REINSTALL=ALL REINSTALLMODE=omus" Rollback="false">
      <IsPresent>
        <ExpressionAlias Id="vc_red_x86_self" />
      </IsPresent>
      <ApplicableIf>
        <AlwaysTrue />
      </ApplicableIf>
      <ActionTable>
        <InstallAction IfPresent="noop" IfAbsent="noop" OnFailureBehavior="Stop" />
        <UninstallAction IfPresent="noop" IfAbsent="noop" />
        <RepairAction IfPresent="install" IfAbsent="noop" />
      </ActionTable>
    </MSI>
    <MSP Name="msp_kb2565063.msp" DownloadSize="4028928" SystemDriveSize="12000000" InstalledProductSize="12000000" EstimatedInstallTime="5000" PatchCode="{6F8500D2-A80F-3347-9081-B41E71C8592B}">
      <IsPresent>
        <NeverTrue />
      </IsPresent>
      <ApplicableIf>
        <Exists Id="PatchBlob">
          <MsiXmlBlob>
            <MsiPatch xmlns="http://www.microsoft.com/msi/patch_applicability.xsd" SchemaVersion="1.0.0.0" PatchGUID="{6F8500D2-A80F-3347-9081-B41E71C8592B}" MinMsiVersion="5">
              <TargetProduct MinMsiVersion="200">
                <TargetProductCode Validate="true">{F0C3E5D1-1ADE-321E-8167-68EF0DE699A5}</TargetProductCode>
                <TargetVersion Validate="true" ComparisonType="Equal" ComparisonFilter="MajorMinorUpdate">10.0.40219</TargetVersion>
                <TargetLanguage Validate="false">0</TargetLanguage>
                <UpdatedLanguages>0</UpdatedLanguages>
                <UpgradeCode Validate="true">{1F4F1D2A-D9DA-32CF-9909-48485DA06DD5}</UpgradeCode>
              </TargetProduct>
              <TargetProductCode>{F0C3E5D1-1ADE-321E-8167-68EF0DE699A5}</TargetProductCode>
              <SequenceData>
                <PatchFamily>ARP.Current</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>QFE.Detection.KB2565063</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>SP_Pro</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>SP_LP</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>SP_VC</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>ARP</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_VCRedist_x86_Detection</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_VC_VS_Libraries_Core_Detection</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_VC_VS_Libraries_Core_X86_Detection</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_VC_VS_Libraries_Extended_Detection</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_VC_VS_Libraries_Extended_X86_Detection</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_VCRedist_Servicing_Key_ProductChipLanguage</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_VCRedist_Servicing_Key_ProductEdition</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_VCRedist_Servicing_Key_ProductLanguage</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_ATL_Central_x86</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_CRT_Central_x86</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_DebugCRT_Central_x86</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_MFC_Central_x86</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_DebugMFC_Central_x86</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_MFCLOC_Central_x86</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_OpenMP_Central_x86</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
              <SequenceData>
                <PatchFamily>PF_OpenMP_Debug_Central_x86</PatchFamily>
                <Sequence>10.0.40219.325</Sequence>
                <Attributes>1</Attributes>
              </SequenceData>
            </MsiPatch>
          </MsiXmlBlob>
        </Exists>
      </ApplicableIf>
      <ActionTable>
        <InstallAction IfPresent="noop" IfAbsent="install" />
        <UninstallAction IfPresent="uninstall" IfAbsent="noop" />
        <RepairAction IfPresent="repair" IfAbsent="install" />
      </ActionTable>
    </MSP>
    <ServiceControl Name="MSIServer" SystemDriveSize="0" CanonicalTargetName="#(loc.NecessaryComponent)" Control="Stop">
      <IsPresent>
        <NeverTrue />
      </IsPresent>
      <ApplicableIf>
        <AlwaysTrue />
      </ApplicableIf>
      <ActionTable>
        <InstallAction IfPresent="noop" IfAbsent="install" OnFailureBehavior="Continue" />
        <UninstallAction IfPresent="noop" IfAbsent="noop" />
        <RepairAction IfPresent="repair" IfAbsent="noop" OnFailureBehavior="Continue" />
      </ActionTable>
    </ServiceControl>
  </Items>
  <SystemCheck>
    <ProcessBlocks />
    <ServiceBlocks />
  </SystemCheck>
</Setup>